Loading...
Searching...
No Matches
math.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/gr_complex.h>`
`#include <cmath>`
Include dependency graph for math.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Macros

#define | GR_M_PI 3.14159265358979323846 /* pi */
#define | GR_M_SQRT2 1.41421356237309504880 /* sqrt(2) */

## Functions

static void | gr::fast_cc_multiply (gr_complex &out, const gr_complex cc1, const gr_complex cc2)
static bool | gr::is_power_of_2 (long x)
GR_RUNTIME_API float | gr::fast_atan2f (float y, float x)
| Fast arc tangent using table lookup and linear interpolation.
static float | gr::fast_atan2f (gr_complex z)
static float | gr::branchless_clip (float x, float clip)
static float | gr::clip (float x, float clip)
static unsigned int | gr::binary_slicer (float x)
static unsigned int | gr::quad_45deg_slicer (float r, float i)
static unsigned int | gr::quad_0deg_slicer (float r, float i)
static unsigned int | gr::quad_45deg_slicer (gr_complex x)
static unsigned int | gr::quad_0deg_slicer (gr_complex x)
static unsigned int | gr::branchless_binary_slicer (float x)
static unsigned int | gr::branchless_quad_0deg_slicer (float r, float i)
static unsigned int | gr::branchless_quad_0deg_slicer (gr_complex x)
static unsigned int | gr::branchless_quad_45deg_slicer (float r, float i)
static unsigned int | gr::branchless_quad_45deg_slicer (gr_complex x)
static size_t | gr::p2_round_down (size_t x, size_t pow2)
static size_t | gr::p2_round_up (size_t x, size_t pow2)
static size_t | gr::p2_modulo (size_t x, size_t pow2)
static size_t | gr::p2_modulo_neg (size_t x, size_t pow2)

## Macro Definition Documentation

## GR_M_PI

#define GR_M_PI 3.14159265358979323846 /* pi */

Referenced by gr::blocks::control_loop::phase_wrap(), and gr::nco< o_type, i_type >::step().

## GR_M_SQRT2

#define GR_M_SQRT2 1.41421356237309504880 /* sqrt(2) */